package domain


type AlibabaWdkOrderListSubOrder struct {
    /*
        业务子订单id     */
    BizOrderId  *int64 `json:"biz_order_id,omitempty" `

    /*
        其它分摊优惠金额     */
    ShareDiscountAmt  *int64 `json:"share_discount_amt,omitempty" `

    /*
        商品id     */
    ItemCode  *int64 `json:"item_code,omitempty" `

    /*
        售价金额（购买数量*原售价）     */
    OriginalAmt  *int64 `json:"original_amt,omitempty" `

    /*
        父订单id     */
    ParentId  *int64 `json:"parent_id,omitempty" `

    /*
        商品原价     */
    Price  *int64 `json:"price,omitempty" `

    /*
        促销信息(json对象列表)。例如:[{"activity_id":"1234","activity_name":"五一促销","activity_type":1}]     */
    PromotionInfo  *string `json:"promotion_info,omitempty" `

    /*
        购买数量     */
    Quantity  *int64 `json:"quantity,omitempty" `

    /*
        门店编码     */
    StoreId  *string `json:"store_id,omitempty" `

    /*
        销售类型（正向销售1：逆向销售2。本接口应返回1）     */
    TrdType  *int64 `json:"trd_type,omitempty" `

    /*
        会员价优惠金额     */
    MemberDiscountAmt  *int64 `json:"member_discount_amt,omitempty" `

    /*
        促销优惠金额     */
    PromotionDiscountAmt  *int64 `json:"promotion_discount_amt,omitempty" `

    /*
        非标品销售单位     */
    SellUnit  *string `json:"sell_unit,omitempty" `

    /*
        非标品购买数量     */
    NsQuantity  *string `json:"ns_quantity,omitempty" `

    /*
        淘宝子订单号     */
    TbBizOrderId  *int64 `json:"tb_biz_order_id,omitempty" `

    /*
        库存单位拣货数量     */
    PickAmountStock  *string `json:"pick_amount_stock,omitempty" `

    /*
        库存单位购买数量     */
    BuyAmountStock  *string `json:"buy_amount_stock,omitempty" `

    /*
        子订单维度积分     */
    MemberPoint  *int64 `json:"member_point,omitempty" `

    /*
        子订单类型，当前取值[COMMON|GIFT],分别表示 普通|赠品 订单     */
    OrderType  *string `json:"order_type,omitempty" `

    /*
        淘鲜达平台优惠券中平台出资金额，单位为分     */
    TxdPmtAmt  *int64 `json:"txd_pmt_amt,omitempty" `

    /*
        拣货金额     */
    PickAmt  *int64 `json:"pick_amt,omitempty" `

    /*
        揽件     */
    OrderStatus  *string `json:"order_status,omitempty" `

    /*
        statusChangeTime     */
    StatusChangeTime  *string `json:"status_change_time,omitempty" `

    /*
        库存单位     */
    StockUnit  *string `json:"stock_unit,omitempty" `

    /*
        销售单位     */
    SaleUnit  *string `json:"sale_unit,omitempty" `

    /*
        tradeSubAttributes     */
    TradeSubAttributes  *string `json:"trade_sub_attributes,omitempty" `

    /*
        商品skuCode     */
    SkuCode  *string `json:"sku_code,omitempty" `

    /*
        外部子订单号     */
    OutOrderId  *string `json:"out_order_id,omitempty" `

    /*
        外部商品skuCode     */
    OutSkuCode  *string `json:"out_sku_code,omitempty" `

}

func (s *AlibabaWdkOrderListSubOrder) SetBizOrderId(v int64) *AlibabaWdkOrderListSubOrder {
    s.BizOrderId = &v
    return s
}
func (s *AlibabaWdkOrderListSubOrder) SetShareDiscountAmt(v int64) *AlibabaWdkOrderListSubOrder {
    s.ShareDiscountAmt = &v
    return s
}
func (s *AlibabaWdkOrderListSubOrder) SetItemCode(v int64) *AlibabaWdkOrderListSubOrder {
    s.ItemCode = &v
    return s
}
func (s *AlibabaWdkOrderListSubOrder) SetOriginalAmt(v int64) *AlibabaWdkOrderListSubOrder {
    s.OriginalAmt = &v
    return s
}
func (s *AlibabaWdkOrderListSubOrder) SetParentId(v int64) *AlibabaWdkOrderListSubOrder {
    s.ParentId = &v
    return s
}
func (s *AlibabaWdkOrderListSubOrder) SetPrice(v int64) *AlibabaWdkOrderListSubOrder {
    s.Price = &v
    return s
}
func (s *AlibabaWdkOrderListSubOrder) SetPromotionInfo(v string) *AlibabaWdkOrderListSubOrder {
    s.PromotionInfo = &v
    return s
}
func (s *AlibabaWdkOrderListSubOrder) SetQuantity(v int64) *AlibabaWdkOrderListSubOrder {
    s.Quantity = &v
    return s
}
func (s *AlibabaWdkOrderListSubOrder) SetStoreId(v string) *AlibabaWdkOrderListSubOrder {
    s.StoreId = &v
    return s
}
func (s *AlibabaWdkOrderListSubOrder) SetTrdType(v int64) *AlibabaWdkOrderListSubOrder {
    s.TrdType = &v
    return s
}
func (s *AlibabaWdkOrderListSubOrder) SetMemberDiscountAmt(v int64) *AlibabaWdkOrderListSubOrder {
    s.MemberDiscountAmt = &v
    return s
}
func (s *AlibabaWdkOrderListSubOrder) SetPromotionDiscountAmt(v int64) *AlibabaWdkOrderListSubOrder {
    s.PromotionDiscountAmt = &v
    return s
}
func (s *AlibabaWdkOrderListSubOrder) SetSellUnit(v string) *AlibabaWdkOrderListSubOrder {
    s.SellUnit = &v
    return s
}
func (s *AlibabaWdkOrderListSubOrder) SetNsQuantity(v string) *AlibabaWdkOrderListSubOrder {
    s.NsQuantity = &v
    return s
}
func (s *AlibabaWdkOrderListSubOrder) SetTbBizOrderId(v int64) *AlibabaWdkOrderListSubOrder {
    s.TbBizOrderId = &v
    return s
}
func (s *AlibabaWdkOrderListSubOrder) SetPickAmountStock(v string) *AlibabaWdkOrderListSubOrder {
    s.PickAmountStock = &v
    return s
}
func (s *AlibabaWdkOrderListSubOrder) SetBuyAmountStock(v string) *AlibabaWdkOrderListSubOrder {
    s.BuyAmountStock = &v
    return s
}
func (s *AlibabaWdkOrderListSubOrder) SetMemberPoint(v int64) *AlibabaWdkOrderListSubOrder {
    s.MemberPoint = &v
    return s
}
func (s *AlibabaWdkOrderListSubOrder) SetOrderType(v string) *AlibabaWdkOrderListSubOrder {
    s.OrderType = &v
    return s
}
func (s *AlibabaWdkOrderListSubOrder) SetTxdPmtAmt(v int64) *AlibabaWdkOrderListSubOrder {
    s.TxdPmtAmt = &v
    return s
}
func (s *AlibabaWdkOrderListSubOrder) SetPickAmt(v int64) *AlibabaWdkOrderListSubOrder {
    s.PickAmt = &v
    return s
}
func (s *AlibabaWdkOrderListSubOrder) SetOrderStatus(v string) *AlibabaWdkOrderListSubOrder {
    s.OrderStatus = &v
    return s
}
func (s *AlibabaWdkOrderListSubOrder) SetStatusChangeTime(v string) *AlibabaWdkOrderListSubOrder {
    s.StatusChangeTime = &v
    return s
}
func (s *AlibabaWdkOrderListSubOrder) SetStockUnit(v string) *AlibabaWdkOrderListSubOrder {
    s.StockUnit = &v
    return s
}
func (s *AlibabaWdkOrderListSubOrder) SetSaleUnit(v string) *AlibabaWdkOrderListSubOrder {
    s.SaleUnit = &v
    return s
}
func (s *AlibabaWdkOrderListSubOrder) SetTradeSubAttributes(v string) *AlibabaWdkOrderListSubOrder {
    s.TradeSubAttributes = &v
    return s
}
func (s *AlibabaWdkOrderListSubOrder) SetSkuCode(v string) *AlibabaWdkOrderListSubOrder {
    s.SkuCode = &v
    return s
}
func (s *AlibabaWdkOrderListSubOrder) SetOutOrderId(v string) *AlibabaWdkOrderListSubOrder {
    s.OutOrderId = &v
    return s
}
func (s *AlibabaWdkOrderListSubOrder) SetOutSkuCode(v string) *AlibabaWdkOrderListSubOrder {
    s.OutSkuCode = &v
    return s
}
